Index: c/src/lib/libbsp/c4x/c4xsim/ChangeLog
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/ChangeLog	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/c4x/c4xsim/ChangeLog	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -1,2 +1,11 @@
+2002-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* clock/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* console/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* start/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* startup/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* timer/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* wrapup/Makefile.am: Use .$(OBJEXT) instead of .o.
+
 2002-07-20	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/c4x/c4xsim/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/clock/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/c4x/c4xsim/clock/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -7,5 +7,5 @@
 
 C_FILES = clock.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/c4x/c4xsim/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/console/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/c4x/c4xsim/console/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -9,5 +9,5 @@
 
 C_FILES = console.c consolereserveresources.c debugio.c simio.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/c4x/c4xsim/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/start/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/c4x/c4xsim/start/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -4,5 +4,5 @@
 
 S_FILES = start.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(S_O_FILES)
@@ -16,14 +16,14 @@
 #
 
-bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
 	$(INSTALL_DATA) $< $@
 
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(ARCH)/start.o
+.PRECIOUS: $(ARCH)/start.$(OBJEXT)
 
 EXTRA_DIST = start.S
Index: c/src/lib/libbsp/c4x/c4xsim/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/startup/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/c4x/c4xsim/startup/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -11,5 +11,5 @@
     setvec.c c3xspurious.c c4xspurious.c bspspuriousinit.c spurious.c \
     gnatinstallhandler.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/c4x/c4xsim/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/timer/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/c4x/c4xsim/timer/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -7,5 +7,5 @@
 
 C_FILES = timer.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/c4x/c4xsim/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/wrapup/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/c4x/c4xsim/wrapup/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -8,5 +8,5 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
+OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.$(OBJEXT))) \
     $(foreach piece, $(CPU_PIECES), ../../../../libcpu/$(RTEMS_CPU)/$(piece)/$(ARCH)/$(piece).rel)
 LIB = $(ARCH)/libbsp.a
Index: c/src/lib/libbsp/i960/i960sim/ChangeLog
===================================================================
--- c/src/lib/libbsp/i960/i960sim/ChangeLog	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/i960/i960sim/ChangeLog	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -1,2 +1,11 @@
+2002-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* clock/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* console/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* start/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* startup/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* timer/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* wrapup/Makefile.am: Use .$(OBJEXT) instead of .o.
+
 2002-07-20	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/i960/i960sim/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/i960sim/clock/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/i960/i960sim/clock/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -7,5 +7,5 @@
 
 C_FILES = clockdrv.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/i960/i960sim/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/i960sim/console/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/i960/i960sim/console/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -9,8 +9,8 @@
 
 C_FILES = console-io.c console-polled.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 S_FILES = mon-syscalls.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES) $(S_O_FILES)
Index: c/src/lib/libbsp/i960/i960sim/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/i960sim/start/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/i960/i960sim/start/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -4,5 +4,5 @@
 
 C_FILES = start.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
@@ -16,14 +16,14 @@
 #
 
-bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
 	$(INSTALL_DATA) $< $@
 
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(ARCH)/start.o
+.PRECIOUS: $(ARCH)/start.$(OBJEXT)
 
 EXTRA_DIST = start.c
Index: c/src/lib/libbsp/i960/i960sim/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/i960sim/startup/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/i960/i960sim/startup/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -10,5 +10,5 @@
 C_FILES = bspclean.c bsplibc.c bsppost.c bspstart.c bootcard.c main.c sbrk.c \
     gnatinstallhandler.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/i960/i960sim/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/i960sim/timer/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/i960/i960sim/timer/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -9,5 +9,5 @@
 
 C_FILES = timerstub.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/i960/i960sim/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/i960sim/wrapup/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/i960/i960sim/wrapup/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -10,6 +10,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_FILES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(ARCH)/*.o) \
+OBJS = $(foreach piece, $(BSP_FILES), $(wildcard ../$(piece)/$(ARCH)/*.$(OBJEXT))) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(ARCH)/*.$(OBJEXT)) \
     $(foreach piece, $(GENERIC_FILES), ../../../$(piece)/$(ARCH)/$(piece).rel)
 
Index: c/src/lib/libbsp/i960/rxgen960/ChangeLog
===================================================================
--- c/src/lib/libbsp/i960/rxgen960/ChangeLog	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/i960/rxgen960/ChangeLog	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -1,2 +1,11 @@
+2002-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* clock/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* console/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* start/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* startup/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* timer/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* wrapup/Makefile.am: Use .$(OBJEXT) instead of .o.
+
 2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/i960/rxgen960/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/rxgen960/clock/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/i960/rxgen960/clock/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -7,5 +7,5 @@
 
 C_FILES = ckinit.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/i960/rxgen960/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/rxgen960/console/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/i960/rxgen960/console/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -7,5 +7,5 @@
 
 C_FILES = console.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/i960/rxgen960/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/rxgen960/start/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/i960/rxgen960/start/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -4,5 +4,5 @@
 
 S_FILES = rxgen_romld.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(S_O_FILES)
@@ -16,14 +16,14 @@
 #
 
-bsplib_DATA = $(PROJECT_RELEASE)/lib/rxgen_romld.o
+bsplib_DATA = $(PROJECT_RELEASE)/lib/rxgen_romld.$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/rxgen_romld$(LIB_VARIANT).o: $(ARCH)/rxgen_romld.o
+$(PROJECT_RELEASE)/lib/rxgen_romld$(LIB_VARIANT).$(OBJEXT): $(ARCH)/rxgen_romld.$(OBJEXT)
 	$(INSTALL_DATA) $< $@
 
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rxgen_romld$(LIB_VARIANT).o
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rxgen_romld$(LIB_VARIANT).$(OBJEXT)
 
-all-local: $(ARCH) $(OBJS) $(ARCH)/rxgen_romld.o $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/rxgen_romld.$(OBJEXT) $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(ARCH)/rxgen_romld.o
+.PRECIOUS: $(ARCH)/rxgen_romld.$(OBJEXT)
 
 EXTRA_DIST = rxgen_romld.S
Index: c/src/lib/libbsp/i960/rxgen960/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/rxgen960/startup/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/i960/rxgen960/startup/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -21,5 +21,5 @@
 S_FILES = asmfault.S asmstub.S ihandler.S
 
-OBJS = $(C_FILES:%.c=$(ARCH)/%.o) $(S_FILES:%.S=$(ARCH)/%.o)
+OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT)) $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: c/src/lib/libbsp/i960/rxgen960/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/rxgen960/timer/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/i960/rxgen960/timer/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -7,5 +7,5 @@
 
 C_FILES = timer.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/i960/rxgen960/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/rxgen960/wrapup/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/i960/rxgen960/wrapup/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -10,6 +10,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(ARCH)/*.o)
+OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.$(OBJEXT))) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(ARCH)/*.$(OBJEXT))
 LIB = $(ARCH)/libbsp.a
 
Index: c/src/lib/libbsp/or32/orp/ChangeLog
===================================================================
--- c/src/lib/libbsp/or32/orp/ChangeLog	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/or32/orp/ChangeLog	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -1,2 +1,11 @@
+2002-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* clock/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* console/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* start/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* startup/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* timer/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* wrapup/Makefile.am: Use .$(OBJEXT) instead of .o.
+
 2002-08-07	Ivan Guzvinec <ivang@opencores.org>
 
Index: c/src/lib/libbsp/or32/orp/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/or32/orp/clock/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/or32/orp/clock/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -7,5 +7,5 @@
 
 C_FILES = clockdrv.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/or32/orp/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/or32/orp/console/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/or32/orp/console/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -9,5 +9,5 @@
 
 C_FILES = console.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/or32/orp/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/or32/orp/start/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/or32/orp/start/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -4,5 +4,5 @@
 
 S_FILES = start.S
-S_O_FILES = $(S_FILES:%.c=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(S_O_FILES)
@@ -16,14 +16,14 @@
 #
 
-bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
 	$(INSTALL_DATA) $< $@
 
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(ARCH)/start.o
+.PRECIOUS: $(ARCH)/start.$(OBJEXT)
 
 EXTRA_DIST = start.S
Index: c/src/lib/libbsp/or32/orp/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/or32/orp/startup/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/or32/orp/startup/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -10,8 +10,8 @@
 C_FILES = bsplibc.c bsppost.c bspstart.c bootcard.c main.c sbrk.c \
     gnatinstallhandler.c 
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 S_FILES = 
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES) $(S_O_FILES)
Index: c/src/lib/libbsp/or32/orp/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/or32/orp/timer/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/or32/orp/timer/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -9,5 +9,5 @@
 
 C_FILES = timer.c timerisr.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/or32/orp/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/or32/orp/wrapup/Makefile.am	(revision a4aaccff0c4003b293d36d609decc0ac2147cabd)
+++ c/src/lib/libbsp/or32/orp/wrapup/Makefile.am	(revision 9ace8a747cd4db265177d9fdc5ec086c06bc990b)
@@ -10,6 +10,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_FILES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(ARCH)/*.o) \
+OBJS = $(foreach piece, $(BSP_FILES), $(wildcard ../$(piece)/$(ARCH)/*.$(OBJEXT))) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(ARCH)/*.$(OBJEXT)) \
     $(foreach piece, $(GENERIC_FILES), ../../../$(piece)/$(ARCH)/$(piece).rel)
 
